Sends a multipart message

- « ZMQSocket::send

- ZMQSocket::setSockOpt »

- PHP Manual
- ZMQSocket
- Sends a multipart message

# ZMQSocket::sendmulti

(PECL zmq >= 0.8.0)

ZMQSocket::sendmulti — Sends a multipart message

### Description

public ZMQSocket::sendmulti(array `$message`, int `$mode` = 0): ZMQSocket

Send a multipart message using the socket. The operation can block unless `ZMQ::MODE_NOBLOCK` is used.

### Parameters

`message`

  The message to send - an array of strings

`mode`

  Pass mode flags to receive multipart messages or non-blocking operation. See `ZMQ::MODE_*` constants.

### Return Values

Returns the current object. Throws ZMQSocketException on error. If `ZMQ::MODE_NOBLOCK` is used and the operation would block bool false shall be returned.